Bug 886319 - ImportError: No module named lib.space
ImportError: No module named lib.space
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:91fc0aaafced7e98af153e48d8e...
:
Depends On:
Blocks: F18Blocker/F18FinalBlocker 886470
  Show dependency treegraph
 
Reported: 2012-12-11 21:45 EST by Steve Tyler
Modified: 2012-12-14 22:15 EST (History)
10 users (show)

See Also:
Fixed In Version: anaconda-18.37.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-14 22:15:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: anaconda-tb (164.31 KB, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: environ (865 bytes, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: type (9 bytes, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: ifcfg.log (379 bytes, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: storage.log (80.88 KB, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: version (2 bytes, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: program.log (42.57 KB, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: executable (14 bytes, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: product (6 bytes, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: anaconda.log (2.62 KB, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: cmdline_file (162 bytes, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: release (33 bytes, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details
File: messages (122.58 KB, text/plain)
2012-12-11 21:45 EST, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-12-11 21:45:18 EST
Description of problem:
Start installer.

Version-Release number of selected component:
anaconda-18.37.1-1.fc18.x86_64

Additional info:
libreport version: 2.0.18
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.9-4.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.37.1 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/summary.py", line 23, in <module>
:    from pyanaconda.ui.lib.space import FileSystemSpaceChecker
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 60, in setup
:    from hubs.summary import SummaryHub
:  File "/sbin/anaconda", line 990, in <module>
:    anaconda._intf.setup(ksdata)
:ImportError: No module named lib.space
Comment 1 Steve Tyler 2012-12-11 21:45:21 EST
Created attachment 661912 [details]
File: anaconda-tb
Comment 2 Steve Tyler 2012-12-11 21:45:22 EST
Created attachment 661913 [details]
File: environ
Comment 3 Steve Tyler 2012-12-11 21:45:24 EST
Created attachment 661914 [details]
File: type
Comment 4 Steve Tyler 2012-12-11 21:45:25 EST
Created attachment 661915 [details]
File: ifcfg.log
Comment 5 Steve Tyler 2012-12-11 21:45:27 EST
Created attachment 661916 [details]
File: storage.log
Comment 6 Steve Tyler 2012-12-11 21:45:28 EST
Created attachment 661917 [details]
File: version
Comment 7 Steve Tyler 2012-12-11 21:45:30 EST
Created attachment 661918 [details]
File: program.log
Comment 8 Steve Tyler 2012-12-11 21:45:32 EST
Created attachment 661919 [details]
File: executable
Comment 9 Steve Tyler 2012-12-11 21:45:33 EST
Created attachment 661920 [details]
File: product
Comment 10 Steve Tyler 2012-12-11 21:45:34 EST
Created attachment 661921 [details]
File: anaconda.log
Comment 11 Steve Tyler 2012-12-11 21:45:36 EST
Created attachment 661922 [details]
File: hashmarkername
Comment 12 Steve Tyler 2012-12-11 21:45:37 EST
Created attachment 661923 [details]
File: cmdline_file
Comment 13 Steve Tyler 2012-12-11 21:45:39 EST
Created attachment 661924 [details]
File: release
Comment 14 Steve Tyler 2012-12-11 21:45:40 EST
Created attachment 661925 [details]
File: messages
Comment 15 Steve Tyler 2012-12-11 21:53:53 EST
Started Fedora-18-TC1-x86_64-Live-Desktop.iso.
Installed koji.
Updated to anaconda-18.37.1-1.fc18.x86_64 from koji.
No other updates.

Tested with:
$ qemu-kvm -m 2048 -hda f18-test-1.img -cdrom ~/xfr/fedora/F18/F18-Final/TC1/Fedora-18-TC1-x86_64-Live-Desktop.iso -usb -vga qxl -boot menu=on -usbdevice mouse
Comment 16 Steve Tyler 2012-12-11 22:12:48 EST
space.py didn't get packaged:
anaconda-18.37.1-1/pyanaconda/ui/lib/space.py
Comment 17 Kamil Páral 2012-12-12 07:02:39 EST
Seems like a blocker, but I don't see the problem with smoke5 netinst. It might affect just LiveCDs.
Comment 18 Dan Horák 2012-12-12 10:45:08 EST
I've just connected to the host with VNC with the intention to start a GUI installation.

Package: anaconda-18.37.1
Architecture: s390x
OS Release: Fedora 18
Comment 19 Adam Williamson 2012-12-12 13:16:27 EST
Discussed at 2012-12-12 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-12/f18final-blocker-review-4.2012-12-12-17.01.log.txt .  Accepted as a blocker per criterion "The installer must boot (if appropriate) and run on all primary architectures, with all system firmware types that are common on those architectures, from default live image, DVD, and boot.iso install media when written to an optical disc and when written to a USB stick with at least one of the officially supported methods".
Comment 20 Steve Tyler 2012-12-12 16:39:09 EST
Fixed with anaconda-18.37.2-1.fc18, but this bug is not listed in bodhi:
https://admin.fedoraproject.org/updates/FEDORA-2012-19991/anaconda-18.37.2-1.fc18
Comment 21 Fedora Update System 2012-12-12 19:44:57 EST
anaconda-18.37.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-19991/anaconda-18.37.2-1.fc18
Comment 22 Adam Williamson 2012-12-12 20:21:30 EST
confirmed fixed in smoke6.
Comment 23 Fedora Update System 2012-12-14 22:15:52 EST
anaconda-18.37.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.